Bug 981977 - fedora-review does not include srpm rpmlint output
fedora-review does not include srpm rpmlint output
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 08:57 EDT by Jens Petersen
Modified: 2013-08-30 09:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 09:30:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-07-07 08:57:05 EDT
Description of problem:
As far as I can see fedora-review does not include the srpm rpmlint output
when reviewing packages.  This seems unfortunate and then it should
include the src rpm rpmlint output.

Version-Release number of selected component (if applicable):
fedora-review-0.4.1-2.fc19

How reproducible:
100%

Steps to Reproduce:
1. run fedora-review on a package with srpm rpmlint output

Actual results:
No srpm rpmlint output in review.txt or review tree.

Expected results:
srpm rpmlint output to appear in review.txt, etc.
Comment 1 Alec Leamas 2013-07-08 01:51:53 EDT
Agreed, this is a bug. 

It's actually strange no-one has observed this until now. Thanks for reporting!
Comment 2 Alec Leamas 2013-07-09 07:46:19 EDT
Fixed in devel: https://fedorahosted.org/FedoraReview/changeset/009ef273c9bee12a40c52667f33286decef6d538.

Once again: thanks for this report!
Comment 3 Alec Leamas 2013-08-30 09:30:19 EDT
Fixed in new 0.5.0 release. Thanks again for reporting!

Note You need to log in before you can comment on or make changes to this bug.